Skip to content
GET/{organizationId}/finance/finApi/bankConnections/{bankConnectionId}/accounts

Get FinApi accounts

Returns the accounts available on a specific FinApi bank connection for a given organization

Required permissions:

  • cashAccount.insert

Path Parameters

organizationIdstringrequired
bankConnectionIdintegerrequired

maximum: 9007199254740991

exclusiveMinimum: 0

Authentication: X-API-Key

Request

GET/{organizationId}/finance/finApi/bankConnections/{bankConnectionId}/accounts
curl --request GET 'https://cloud.campai.com/api/{organizationId}/finance/finApi/bankConnections/{bankConnectionId}/accounts' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

idnumberrequired
connectionIdnumberrequired
namestringrequired
ownerstringrequired
currencystringrequired
hasSepaDirectDebitbooleanrequired
hasSepaMoneyTransferbooleanrequired
updatedbooleanrequired
statusstringrequired

Options:

UPDATEDUPDATED_FIXEDDOWNLOAD_IN_PROGRESSDOWNLOAD_FAILEDDEPRECATED

Response

200
[
  {
    "id": 1,
    "connectionId": 1,
    "iban": "string",
    "name": "string",
    "owner": "string",
    "currency": "string",
    "hasSepaDirectDebit": true,
    "hasSepaMoneyTransfer": true,
    "updated": true,
    "status": "UPDATED",
    "interfaces": [
      {
        "bankingInterface": "XS2A",
        "status": "UPDATED",
        "lastSuccessfulUpdate": "2026-06-15T22:30:00Z",
        "lastUpdateAttempt": "2026-06-15T22:30:00Z"
      }
    ]
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}